package com.gh.gamecenter.entity

import android.os.Parcelable
import com.gh.gamecenter.common.entity.LinkEntity
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
class ApplyModeratorStatusEntity(
    val condition: Condition = Condition(),
    val status: String = "",
    @SerializedName("qq_group")
    val qqGroup: String = "",
    @SerializedName("qa_group_key")
    val qqGroupKey: String = "",
    val guide: LinkEntity = LinkEntity()
) : Parcelable {
    @Parcelize
    class Condition(
        val etiquette: Boolean = false,
        @SerializedName("id_card")
        val idCard: Boolean = false,
        val activity: Boolean = false,
        val choiceness: Boolean = false
    ) : Parcelable
}